Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2017-11-30 08:47:48 -0500
committerSravan Kumar Lakkimsetti2017-11-30 08:47:48 -0500
commit849ed68c80f532a2575a7cde0ba6175158261971 (patch)
tree2510d0825b4462be6b2c66334d504f46a35d005a
parent65375919edde8b5ccef9109699874c3268c2491e (diff)
downloadeclipse.platform.releng.aggregator-849ed68c80f532a2575a7cde0ba6175158261971.tar.gz
eclipse.platform.releng.aggregator-849ed68c80f532a2575a7cde0ba6175158261971.tar.xz
eclipse.platform.releng.aggregator-849ed68c80f532a2575a7cde0ba6175158261971.zip
Bug 520206 - Don't start a build if there are commits in SWT after last
tag Change-Id: I1bd7bf89ad84c68a09ae2c0c6ece765c51b10487 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rwxr-xr-xproduction/check-swt-buildinput.sh2
-rwxr-xr-xproduction/master-build.sh7
2 files changed, 5 insertions, 4 deletions
diff --git a/production/check-swt-buildinput.sh b/production/check-swt-buildinput.sh
index 27524722..1920abf5 100755
--- a/production/check-swt-buildinput.sh
+++ b/production/check-swt-buildinput.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash
#*******************************************************************************
# Copyright (c) 2017 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
diff --git a/production/master-build.sh b/production/master-build.sh
index 16176889..363d0a9d 100755
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -312,13 +312,13 @@ else
$SCRIPT_PATH/tag-build-input.sh $BUILD_ENV_FILE 2>&1 | tee $TAG_BUILD_INPUT_LOG
checkForErrorExit $? "Error occurred during tag of build input"
-
-
+ set -x
CHECK_SWT_INPUT=$logsDirectory/check-swt-buildinput_output.txt
$SCRIPT_PATH/check-swt-buildinput.sh $BUILD_ENV_FILE 2>&1 | tee $CHECK_SWT_INPUT
- if [ $? -ne 0 ]
+ if [ $? -eq 0 ]
then
buildrc=1
+ set +x
echo "BUILD FAILED. See ${CHECK_SWT_INPUT}."
BUILD_FAILED="${BUILD_FAILED} \n${CHECK_SWT_INPUT}"
fn-write-property BUILD_FAILED
@@ -328,6 +328,7 @@ else
# So is a good point to capture listing of build input to directory.txt file.
# TODO: hard to find good/easy git commands that work for any repo,
# to query actual branches/commits/tags on remote, in a reliable way?
+ set +x
pushd "$aggDir"
# = = = = directtory.txt section
echo "# Build ${BUILD_ID}, ${BUILD_PRETTY_DATE}" > ${buildDirectory}/directory.txt

Back to the top